{% extends 'base.html.twig' %}

{% block viewport %}
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
{% endblock %}

{% block title %}
    Undercover — Jeu de l'imposteur en ligne
{% endblock %}

{% block plugins %}
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
            integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
            crossorigin="anonymous"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css"
          integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js"
            integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx"
            crossorigin="anonymous"></script>
    <link href="https://unpkg.com/aos@2.3.1/dist/aos.css" rel="stylesheet">
    <script src="https://unpkg.com/aos@2.3.1/dist/aos.js"></script>
{% endblock %}

{% block stylesheets %}
    <style>
        @import url('https://fonts.googleapis.com/css2?family=Rubik&display=swap%27');
        @import url('https://fonts.googleapis.com/css2?family=Ubuntu:wght@500&display=swap');
        @import url('https://fonts.googleapis.com/css2?family=Finger+Paint&display=swap');
        @import url('https://fonts.googleapis.com/css2?family=Roboto&family=Squada+One&display=swap');

        body {
            font-family: Roboto, 'sans-serif';
        }

        #main-video-container {
            position: relative;
        }

        #main-video-container video {
            width: 100%;
            border: 0;
            object-fit: cover;
            position: relative;
            z-index: 1;
        }

        #main-video-text-content {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            display: flex;
            flex-direction: column;
            -webkit-justify-content: space-between;
            justify-content: space-between;
            text-align: center;
            z-index: 2;
            color: white;
        }

        #main-video-text-content h1 {
            font-size: 42px;
            font-weight: bold;
            font-family: 'Finger Paint', cursive;
        }

        #main-video-text-content h2 {
            font-size: 18px;
            font-weight: bold;
            font-family: Rubik, 'sans-serif';
        }

        #main-video-href {

        }

        #main-video-button {
            margin-top: 75px;
            font-size: 12px;
            border-radius: 10px;
            text-transform: uppercase;
            padding: 10px 20px;
            cursor: pointer;
            background: #161225;
            border: 0;
            font-weight: bold;
            outline: none;
            color: white;
        }

        #main-description {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            padding: 25px 0;
        }

        #main-description-title {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            text-align: center;
            padding: 0 15px;
        }

        #main-description-title h1 {
            font-size: 28px;
            font-weight: bold;
        }

        #main-description-title h2 {
            font-size: 22px;
            font-weight: bold;
        }

        #main-img-ordi {
            justify-content: flex-start;
            align-items: flex-start;
        }

        #main-img-ordi img {
            width: 100vw;
        }

        #main-description-content {
            text-align: justify;
            padding: 0 15px;
            margin-bottom: 20px;
        }

        #main-personalize {
            position: relative;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            text-align: center;
            background: #0a0717;
            padding: 100px 15px 30px 15px;
        }

        #main-personalize #top-word {
            position: absolute;
            top: -10px;
            left: 50%;
            transform: translateX(-50%);
            padding: 15px 0;
            background: #191139;
            color: white;
            font-size: 14px;
            border-radius: 15px;
            min-width: 230px;
            text-align: center;
            text-transform: uppercase;
            font-weight: bold;
            z-index: 2;
        }

        #main-personalize #role-civil {
            position: absolute;
            top: 37px;
            left: 50%;
            transform: translateX(-50%);
            padding: 8px 40px 5px 40px;
            text-transform: uppercase;
            font-weight: bold;
            font-size: 12px;
            border-radius: 0 0 8px 8px;
            letter-spacing: 1.5px;
            background: #26538c;
            z-index: 1;
            color: white;
        }

        #main-personalise-title {
            color: white;
            justify-content: center;
            text-align: center;
            align-items: center;
            font-family: Ubuntu, 'sans-serif';
        }


        #main-personalise-title h4 {
            font-size: 28px;
            margin-bottom: 40px;
        }


        #main-personalise-title p {
            margin-bottom: 50px;
            color: #d2d2d2;
            text-align: justify;
        }


        #main-personalise-title a {

        }

        #main-personalise-title a button {
            border-radius: 10px;
            padding: 15px 30px;
            border: 0;
            outline: none;
            background: #191139;
            color: white;
            text-transform: uppercase;
            transition: all 0.2s;
            margin-bottom: 25px;
        }

        #main-personalise-title a button:hover {
            background: #383056;
        }

        #main-skin {
            display: flex;
            margin-top: 30px;
            align-items: center;
            text-align: center;
            flex-direction: column;
        }

        #main-skin h2 {
            font-size: 28px;
            margin-bottom: 40px;
            font-weight: bold;
        }

        #skin-selector-preview {
            width: 200px;
            height: 350px;
            display: flex;
            justify-content: center;
            background: url('https://cdn.discordapp.com/attachments/775414438924779570/776187008518979614/plateform.png') no-repeat;
            background-size: 130px;
            background-position: center bottom;
            animation: float 6s ease-in-out infinite;
        }

        #skin-preview {
            width: 100px;
            height: 300px;
            display: flex;
            justify-content: center;
            background: url({{ asset('assets/images/home/Girls.svg') }}) no-repeat;
            background-size: 1000px;
            background-position: -710px -30px;
            animation: defilement 10s infinite;
        }

        @keyframes defilement {
            0% {
                background-position: -25px -30px;
            }
            19% {
                background-position: -25px -30px;
            }
            22% {
                background-position: -200px -30px;
            }
            39% {
                background-position: -200px -30px;
            }
            42% {
                background-position: -365px -30px;
            }
            59% {
                background-position: -365px -30px;
            }
            62% {
                background-position: -540px -30px;
            }
            79% {
                background-position: -540px -30px;
            }
            82% {
                background-position: -710px -30px;
            }
            100% {
                background-position: -710px -30px;
            }
        }

        @keyframes float {
            0% {
                transform: translatey(0px);
            }
            50% {
                transform: translatey(-10px);
            }
            100% {
                transform: translatey(0px);
            }
        }

        #main-skin h4 {
            font-size: 24px;
            margin: 25px;
            font-weight: bold;
        }

        #main-skin p {
            text-align: justify;
            padding: 0 15px;
            margin-bottom: 40px;
        }

        #main-edit-game {
            display: flex;
            flex-direction: column;
            justify-items: center;
            text-align: center;
            color: white;
            background: #0a0717;
        }

        #main-edit-game {
            display: flex;
            flex-direction: column;
            justify-items: center;
            text-align: center;
            color: white;
            background: #0a0717;
        }

        #main-edit-game h2 {
            font-size: 28px;
            margin: 40px 15px;
            font-weight: bold;
        }

        #main-edit-role-container {
            display: flex;
            justify-content: space-evenly;
        }

        .main-edit-role {
            position: relative;
            background-color: #161225;
            border-radius: 100px;
            content: '';
            padding: 8px;
        }

        .main-edit-role img {
            width: 52px;
        }

        #main-edit-game p {
            margin: 40px 15px;
            text-align: justify;
            font-family: Ubuntu, 'sans-serif';
        }


    </style>
{% endblock %}

{% block body %}
    <main>
        <div id="main-video-container">
            <video playsinline autoplay="autoplay" muted loop>
                <source src="{{ asset('assets/videos/landing-phone.mp4') }}" type="video/mp4">
                <source src="{{ asset('assets/videos/landing-phone.webm') }}" type="video/webm">
            </video>
            <div id="main-video-text-content">
                <div>
                    <h1>Undercover</h1>
                    <h2>Jeu de l'undercover en ligne multijoueur</h2>
                </div>
                <div>
                    <a id="main-video-href" href="#">
                        <button id="main-video-button">Jouer</button>
                    </a>
                </div>
            </div>
        </div>
        <div id="main-description">
            <div id="main-description-title">
                <h1>Undercovergame</h1>
                <h2>Plutôt détective ou manipulateur ?</h2>
            </div>
            <div id="main-img-ordi">
                <img alt="Undercover jeu en ligne" src="{{ asset('assets/images/home/ordi.gif') }}"/>
            </div>
            <div id="main-description-content">
                <p>Parmis tes amis se cache <b>Mr White</b> et surement un ou plusieurs <b>Undercovers</b>. Leur mission
                    est d'éssayer de se fondre dans la masse. A la fin de chaques tour le village procède aux votes.
                    Trouve le <b>Mr.White</b> ainsi que tous les <b>Undercovers</b> et remporte la partie.
                </p>
            </div>
        </div>
        <div id="main-personalize">
            <div id="top-word">Bande Organisé</div>
            <div id="role-civil">CIVIL</div>
            <div id="main-personalise-title">
                <h4>Le jeu en ligne est rempli de mots actuelle et fun </h4>
                <p>Le jeu aborde tous les thèmes possible afin d'éviter la répétition de jeu. Nous pouvons donc passer
                    sur le thème du jeux videos au rap en passant par la culture générale. Le jeu est mis à jours le
                    plus souvent possible, mais tu peux aussi nous aider en proposant des
                    mots.</p>
                <a href="#">
                    <button id="add-word">Proposer un mot</button>
                </a>
            </div>
        </div>
        <div id="main-skin">
            <h2>Gagne des skins en jouant des parties</h2>
            <div id="skin-selector-preview">
                <div id="skin-preview"></div>
            </div>
            <h4>Personnalise ton avatar</h4>
            <p>Vous pouvez chosir votre skin avant chaque partie. Plus vous <b>faites de parties</b>, plus vous avez de
                la chance de <b>gagner des skins</b> en récompense.<br>
                Il sera également possible d'acheter des skins dans un futur proche.
                Nos espions nous ont dit qu'un skin etait offert après ta première game</p>
        </div>

        <div id="main-edit-game">
            <h2>Personnalise ta partie avec tes amis</h2>
            <div id="main-edit-role-container">
                <div class="main-edit-role">
                    <img src="{{ asset('assets/images/form/civils.svg') }}" alt="civil">
                </div>
                <div class="main-edit-role">
                    <img src="{{ asset('assets/images/form/white.svg') }}" alt="mrWhite">
                </div>
                <div class="main-edit-role">
                    <img src="{{ asset('assets/images/form/undercover.svg') }}" alt="undercover">
                </div>
            </div>
            <p>
                Vous pouvez ajouter un Mr White ou des Undercovers en plus, il vous suffit de paramètrer la partie à
                votre envie.<br>
                N'oubliez pas que la partie se complique pour les civils lorsque vous ajoutez des rôles
            </p>
        </div>
    </main>
{% endblock %}

{% block javascripts %}
    <script>
        document.addEventListener('DOMContentLoaded', function (event) {
            // array with texts to type in typewriter
            var dataText = ["Bande Organisé", "Confinement", "Apple", "Wejden", "Koh-Lanta"];

            // type one text in the typwriter
            // keeps calling itself until the text is finished
            function typeWriter(text, i, fnCallback) {
                // chekc if text isn't finished yet
                if (i < (text.length)) {
                    // add next character to h1
                    document.querySelector("#top-word").innerHTML = text.substring(0, i + 1) + '<span aria-hidden="true"></span>';

                    // wait for a while and call this function again for next character
                    setTimeout(function () {
                        typeWriter(text, i + 1, fnCallback)
                    }, 100);
                }
                // text finished, call callback if there is a callback function
                else if (typeof fnCallback == 'function') {
                    // call callback after timeout
                    setTimeout(fnCallback, 2000);
                }
            }

            // start a typewriter animation for a text in the dataText array
            function StartTextAnimation(i) {
                if (typeof dataText[i] == 'undefined') {
                    setTimeout(function () {
                        StartTextAnimation(0);
                    }, 2000);
                }
                // check if dataText[i] exists
                if (typeof dataText[i] !== 'undefined') {
                    if (i < dataText[i].length) {
                        // text exists! start typewriter animation
                        typeWriter(dataText[i], 0, function () {
                            // after callback (and whole text has been animated), start next text
                            StartTextAnimation(i + 1);
                        });
                    }
                }
            }

            // start the text animation
            StartTextAnimation(0);
        });
    </script>
{% endblock %}